Menu

## MessageManager
in package

MessageManager.php : 15

Manages the message system overall Class MessageManager.

### Table of Contents

send() : Message
  Sends a message to a MessageThread.
sendSystemMessage() : Message
  Sends a system message to a MessageThread.

### Methods

#### send()

MessageManager.php : 26

Sends a message to a MessageThread.

`public send(Character $from, string $message, MessageThread $thread[, bool $systemMessage = false ]) : Message`

##### Parameters

$from : Character
$message : string
$thread : MessageThread
$systemMessage : bool = false

##### Tags

throws
  CoreException

##### Return values

Message —

#### sendSystemMessage()

MessageManager.php : 45

Sends a system message to a MessageThread.

`public sendSystemMessage(string $message, MessageThread $thread) : Message`

##### Parameters

$message : string
$thread : MessageThread

##### Tags

throws
  ArgumentException
throws
  CoreException

##### Return values

Message —

## Search results